import '../../../stencil.core';
import { AppService } from "../../../global/app-service";
export declare class Home {
    app: AppService;
    el: HTMLElement;
    data: any;
    docData: any;
    constructor();
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    svgElementClickHandler(event: CustomEvent): void;
    postRender(): void;
    render(): JSX.Element;
}
